#include <bits/stdc++.h>
using namespace std;
int n,niz[200007],q,a,b;
bool moze(int l,int r){
	int br=0;
	for(int i=l;i<=r-1;i++){
			if(niz[i]>niz[i+1])br++;
	}
	if(br>=2)return false;
	return true;
}
int main(){
	scanf("%d",&n);
	for(int i=1;i<=n;i++)scanf("%d",&niz[i]);
	scanf("%d",&q);
	while(q--){
		scanf("%d %d",&a,&b);
		if(moze(a,b))printf("DA\n");
		else printf("NE\n");
	}


	return 0;
}